#include <iostream>
#include <stdio.h>
using namespace std;

int main()
{
    int n, a, i;

    scanf("%d %d", &n, &a);

    printf("7 10");
    printf("10 3");
    printf("10 12");
    printf("15 13");
    printf("2 10");

    return 0;
}